CGI/Perl Guide | Learning Center | Forums | Advertise | Login
Site Search: in

  Main Index MAIN
Search Posts SEARCH
Who's Online WHO'S
Log in LOG

Home: Perl Programming Help: DBI:
Problem installing DBI


New User

Aug 28, 2007, 10:55 AM

Post #1 of 1 (3711 views)
Problem installing DBI Can't Post

Hi, I have an Ubuntu Feisty system and serious problems to install DBI perl module.

I run:

perl -MCPAN -e 'install Bundle::DBI'

and the first thing system tell me is...

Checking if your kit is complete... 
Looks good
Warning: prerequisite IO::Tee 0 not found.
Warning: prerequisite Text::Reform 0 not found.
Writing Makefile for DBI::Shell
---- Unsatisfied dependencies detected during [T/TL/TLOWERY/DBI-Shell-11.94.tar.gz] -----
Shall I follow them and prepend them to the queue
of modules we are processing right now? [yes]

So , I tell it yes. After a while, the result is...

Failed Test Stat Wstat Total Fail  Failed  List of Failed 
t/func.t 255 65280 50 34 68.00% 7 20 22-26 33 36-50
Failed 1/7 test scripts, 85.71% okay. 23/311 subtests failed, 92.60% okay.
make: *** [test_dynamic] Error 255
/usr/bin/make test -- NOT OK
Running make install
make test had returned bad status, won't install without force

What can I do to fix this and install DBI?


Search for (options) Powered by Gossamer Forum v.1.2.0

Web Applications & Managed Hosting Powered by Gossamer Threads
Visit our Mailing List Archives